> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update compliance alert



## OpenAPI

````yaml /openapi.json patch /compliance/alerts/{alertId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/alerts/{alertId}:
    patch:
      tags:
        - compliance
      summary: Update compliance alert
      operationId: ComplianceController_updateAlert
      parameters:
        - name: alertId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAlertInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateAlertOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AlertNotFoundErrorDto'
              examples:
                ALERT_NOT_FOUND:
                  $ref: '#/components/schemas/AlertNotFoundErrorDto'
          description: ''
components:
  schemas:
    UpdateAlertInputBody:
      type: object
      properties:
        acknowledged:
          type: boolean
        externalId:
          type: string
        data:
          $ref: '#/components/schemas/ComplianceDataItem'
    UpdateAlertOutput:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        checkId:
          type: string
        createdAt:
          format: date-time
          type: string
        acknowledged:
          type: boolean
        acknowledgedAt:
          format: date-time
          type: string
        externalId:
          type: string
        data:
          $ref: '#/components/schemas/ComplianceDataItem'
      required:
        - type
        - id
        - checkId
        - createdAt
        - acknowledged
    AlertNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - ALERT_NOT_FOUND
        message:
          type: string
          example: Alert {alertId} not found
        details:
          $ref: '#/components/schemas/AlertNotFoundDto'
      required:
        - code
        - message
        - details
    ComplianceDataItem:
      type: object
      properties:
        lists:
          type: array
          items:
            type: string
        comment:
          type: string
        externalId:
          type: string
        rawdata:
          type: array
          items:
            type: object
      required:
        - lists
    AlertNotFoundDto:
      type: object
      properties:
        alertId:
          type: string
      required:
        - alertId

````